<?php

App::uses('EvSiteSettingsAppModel', 'EvSiteSettings.Model');

class SiteSetting extends EvSiteSettingsAppModel {

	public $order = array('SiteSetting.name'=>'ASC');

	public $belongsTo = array(
		'SiteSettingCategory'
	);

	public $findMethods = array('grouped' => true);

	protected function _findGrouped($state, $query, $results = array()) {

		if ($state == 'before') {

			$query['contain'][] = 'SiteSettingCategory';

			return $query;

		} else {

			$data = array();

			foreach ($results as $result) {

				$data[$result['SiteSettingCategory']['name']][] = $result;

			}

			$results = $data;

		}

		return $results;

	}

}